Page MenuHomePhabricator

Weekly reports of Wiki Ed Foundation Project-"To provide enhanced usability for Wikimedia Programs & Events Dashboard"
Closed, ResolvedPublic

Description

TimelineTaskRemarksWork ReportStatus
Week 1 (Due May 18)Community Bonding periodIntroduced myself to the community through the mailing list. Joined Zulip. Communicated with the mentors for discussing the project work flow.-Done
Week 2 (Due May 25)Community Bonding periodReaching out to Dashboard users for user testing and scheduling a meetup.Blog postDone
Week 3 (Due Jun 1)Community bonding continuesStay active on the irc and have a interactive GSoC commencing session with mentor and other mentees.-Done
Week 4 (Due Jun 8)Coding week1Work on adding Visualizations to the dashboard and code refactoring, continuing to approach the dashboard users for scheduling a user testing session.-Done
Week 5(Due Jun 15)Coding week2Having a User testing session with Shani Evenstein, fixing the priorities, pair programming with fellow interns and having first code patch merged and deployed.Blog postDone
Week 6(Due Jun 22)Coding week3Had user testing session with Amber Berson, Opened issues on GitHub for the problems discovered in the user testing session, started working on fixing the issues, submitted first working solution for the issues.Blog postDone
Week 7(Due Jun 29)Coding week4Adding tests to the code, having final code patch ready in the pull requests. Had user testing session with Heather Hart, discovered some issues, discussed them with the mentor, now working on on resolving them.Blog PostDone
Week 8(Due Jul 6)Coding week5Working on the Visa Application to visit Canada for participating in Wikimania and other bookings, Solve one of the issues detected in previous user testing session.Blog PostDone
Week 9(Due Jul 13)Coding week6Starting to connect with new Dashboard Users, Working on other issues detected - started with validation of the title,school and term input in the details section of course page.Blog PostDone
Week 10(Due Jul 20)Coding week7Scheduling user testing sessions with Dashboard Users and work on the getting the commits merged: Improved the page layout for course cloned page, Added validation for the title,school and term input in the details section of course page. Added info icon for the when field in program cloned pageBlogPostDone
Week 11(Due Jul 27)Coding week8Refactoring rails haml views to ReactJs, Adding a Hamburger Menu to the Dashboard, User testing sessions with Walaa Manaem, Nebojša Ratković and Gabriela Boková . Having a discussion with Sage about the sessions and finalizing what to pick from them(yet to document this.)BlogPostDone
Week 12(Due Aug5)Coding week9Completed refactoring of the Navbar code to React, working now on resolving some unwanted behavior. Next will work on adding links to the hamburger menu and add required styling.Blog PostDone
Week 13(Due Aug12)Coding week10Attending Wikimania'17. Make hamburger-menu work on all the browsers-currently it works on Chrome and Firefox. Having a meet with Jonathan to understand how to document the user testings done during the internship.Blog PostDone
Week 14(Due Aug19)Coding week11Traveling and post Wikimania BloggingBlog Post 1, 2Done
Week 15(Due Aug26)Coding week12Made the Hamburger menu cross browser compatible and add features to make dashboard pages mobile friendlyBlog PostDone
Final Week(Due Aug29)Final submissionRefining the code and DocumentationProject OverviewAlmost Done

Event Timeline

Sek2016 created this task.May 5 2017, 6:29 PM
Restricted Application added a subscriber: Base. · View Herald TranscriptMay 7 2017, 7:54 AM
Sumit assigned this task to Sek2016.May 19 2017, 9:52 PM
Sek2016 updated the task description. (Show Details)Jun 1 2017, 2:17 PM
Mvolz added a subscriber: Mvolz.Jun 15 2017, 8:45 AM

Hi @Sek2016 , can you keep this updated? We are missing 3 reports from you here. Thanks!

yes! Will do by today. Thanks @Mvolz

Sek2016 updated the task description. (Show Details)Jun 18 2017, 12:11 AM
Sek2016 updated the task description. (Show Details)Jun 18 2017, 12:14 AM
Sek2016 updated the task description. (Show Details)Jun 19 2017, 9:06 AM
Sumit added a comment.Jun 27 2017, 6:23 AM

Hi, a gentle reminder to keep weekly reports updated.

Sek2016 updated the task description. (Show Details)Jun 27 2017, 7:43 PM
Sek2016 updated the task description. (Show Details)Jun 27 2017, 7:57 PM
Sek2016 updated the task description. (Show Details)Jun 27 2017, 11:51 PM
Sek2016 updated the task description. (Show Details)Jun 28 2017, 5:42 PM
Sek2016 updated the task description. (Show Details)Jul 23 2017, 11:58 PM
Sek2016 updated the task description. (Show Details)Jul 24 2017, 12:10 AM
Sek2016 updated the task description. (Show Details)Jul 31 2017, 2:52 PM
Sek2016 updated the task description. (Show Details)Aug 1 2017, 11:29 PM
Sek2016 updated the task description. (Show Details)Aug 10 2017, 4:22 PM
Sek2016 updated the task description. (Show Details)Aug 27 2017, 8:20 PM
Sek2016 updated the task description. (Show Details)Aug 28 2017, 6:50 AM
Sek2016 updated the task description. (Show Details)Aug 28 2017, 7:38 AM
Sek2016 updated the task description. (Show Details)Aug 28 2017, 8:44 AM
Sek2016 updated the task description. (Show Details)Aug 28 2017, 9:45 AM
Sek2016 updated the task description. (Show Details)Aug 29 2017, 2:30 PM
Sek2016 updated the task description. (Show Details)Aug 29 2017, 4:41 PM
Sek2016 updated the task description. (Show Details)Aug 31 2017, 1:32 AM

Hi! If there is not anything remaining in this task could you please resolve it?

Sek2016 closed this task as Resolved.Sep 20 2017, 7:37 AM